# Enable testing

Enable testing for a module

Endpoint: POST /iacm/api/modules/{id}/testing
Version: 1.0
Security: x-api-key

## Query parameters:

  - `scope_org` (string)
    module org
    Example: "Ad alias."

  - `scope_project` (string)
    module project
    Example: "Ut similique incidunt doloremque consequuntur dolore."

## Path parameters:

  - `id` (string, required)
    module id
    Example: "Assumenda commodi dolores mollitia."

## Header parameters:

  - `Harness-Account` (string, required)
    account name
    Example: "Asperiores tempora ducimus."

## Request fields (application/json):

  - `pipeline_id` (array)
    pipelines to create the webhooks to trigger the executions for testing
    Example: ["Nihil molestiae odit mollitia.","Aut autem qui corporis doloremque provident sint."]

  - `pipeline_org` (string, required)
    pipeline org
    Example: "Est voluptatem beatae cumque nemo odit minus."

  - `pipeline_project` (string, required)
    pipeline project
    Example: "Quos nihil reprehenderit est architecto."

  - `provider_connector` (string)
    provider connector
    Example: "Repellat autem ex aliquid."

  - `provisioner_type` (string, required)
    provisioner type
    Example: "Magnam nulla rem fugiat ut."

  - `provisioner_version` (string, required)
    provisioner version
    Example: "Natus eveniet iusto quia tempora voluptatum dolorem."

  - `release_pipeline` (string)
    pipeline to create the webhooks for releases
    Example: "Veniam deleniti quisquam magni laboriosam fugit corrupti."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


## Response 204 fields
